# Generated from knartform-0.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name knartform

Name: rubygem-%{gem_name}
Version: 0.6.0
Release: 1%{?dist}
Summary: HL7 CDS Knowledge Artifacts
License: MIT
URL: https://github.com/preston/knartform
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
Tools form working with HL7 CDS Knowledge Artifacts.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/audit_manifest
%{_bindir}/batch_validation
%{_bindir}/composite_graphs
%{_bindir}/composite_to_dot
%{_bindir}/knartform
%{_bindir}/manifest_to_cds_connect
%{_bindir}/spot_check
%{_bindir}/update_manifest
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/knartform.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.6.0-1
- Initial package
